Ubuntu下boost库的编译安装

装个TrinityCore真是麻烦

系统环境:

1. Ubuntu 12.04.1 LTS,32-bit
2. boost c++ 1.53.0

在Ubuntu环境下安装时遇到过缺少头文件的情况,是因为一些开发包没有安装。执行以下命令后解决问题:

Ubuntu 12.04默认安装了python 2.7,但为了能编译boost中的python包,还需要安装python-dev 2.7。这可以从Software Center中检索安装

 

所有准备工作完成后,正式开始安装boost,版本为自行下载最新

1. 下载源代码包,解压

2. 进入目录执行:

$ ./bootstrap.sh

3. 然后执行:

$ ./b2

检查是否能正确编译全部的包

4. 最后就是安装到系统默认目录:

$ sudo ./b2 install